
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_ACTIONTYPE_L') 
 CREATE TABLE T_KEM_ACTIONTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_ACTIONTYPE') 
 CREATE TABLE T_KEM_ACTIONTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(100) DEFAULT ' ' NOT NULL,
FACTIONCLASSNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIONCONFIGFORM VARCHAR(36) DEFAULT ' ' NOT NULL,
FICON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPID VARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_APP_L') 
 CREATE TABLE T_KEM_APP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_APP') 
 CREATE TABLE T_KEM_APP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(20) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDOMAIN CHAR(10) DEFAULT ' ' NOT NULL,
FINDEX BIGINT DEFAULT 0 NOT NULL,
FICON VARCHAR(255) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENT') 
 CREATE TABLE T_KEM_EVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(120) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FEVENTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FEVENTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FOPENAPIID BIGINT DEFAULT 0 NOT NULL,
FREQUESTCONFIG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTCONFIG_TAG NCLOB,
FREQUESTSCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTSCRIPT_TAG NCLOB,
FWEBAPIID BIGINT DEFAULT 0 NOT NULL,
FISVID VARCHAR(20) DEFAULT ' ' NOT NULL,
FDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECTNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FBIZOBJECTNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENT_L') 
 CREATE TABLE T_KEM_EVENT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTBUS_L') 
 CREATE TABLE T_KEM_EVENTBUS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTBUS') 
 CREATE TABLE T_KEM_EVENTBUS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FMQSERVER VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTGROUP_L') 
 CREATE TABLE T_KEM_EVENTGROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTGROUP') 
 CREATE TABLE T_KEM_EVENTGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(100) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVENTSOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTHEADER') 
 CREATE TABLE T_KEM_EVENTHEADER (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISREQUIRED CHAR(1) DEFAULT ' ' NOT NULL,
FPARANAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAVALUE VARCHAR(200) DEFAULT ' ' NOT NULL,
FPARADESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXAMPLE NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTPARA') 
 CREATE TABLE T_KEM_EVENTPARA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARENTENTRYID BIGINT DEFAULT 0 NOT NULL,
FPARANAME VARCHAR(30) DEFAULT ' ' NOT NULL,
FPARATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISMULTIVALUE CHAR(1) DEFAULT ' ' NOT NULL,
FISREQUIRED CHAR(1) DEFAULT ' ' NOT NULL,
FPARADESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPARALEVEL CHAR(1) DEFAULT ' ' NOT NULL,
FEXAMPLE NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTSOURCE_L') 
 CREATE TABLE T_KEM_EVENTSOURCE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_EVENTSOURCE') 
 CREATE TABLE T_KEM_EVENTSOURCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(20) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDOMAIN CHAR(10) DEFAULT ' ' NOT NULL,
FISOFFCIAL CHAR(1) DEFAULT '1' NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FICON VARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPTYPE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_SUBTARGET') 
 CREATE TABLE T_KEM_SUBTARGET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTIONTYPE BIGINT DEFAULT 0 NOT NULL,
FACTIONCONFIG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACTIONCONFIG_TAG NCLOB,
FACTIONID VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIONNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIONDATASOURCEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_QUEUE_WORKER') 
 CREATE TABLE T_KEM_QUEUE_WORKER (
FID BIGINT DEFAULT 0 NOT NULL,
FHOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVEAT DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_QUEUE') 
 CREATE TABLE T_KEM_QUEUE (
FID BIGINT DEFAULT 0 NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FQUEUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPRIORITY CHAR(1) DEFAULT ' ' NOT NULL,
FDATA NCLOB DEFAULT '',
FSCHEDULETIME DATETIME,
FDELIVERYCOUNT BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDELIVERYHOST VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSUBID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_SUB_L') 
 CREATE TABLE T_KEM_SUB_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_SUB') 
 CREATE TABLE T_KEM_SUB (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEVENTBUSID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FTRIGGERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FEVENTSOURCEID BIGINT DEFAULT 0 NOT NULL,
FEVENTID BIGINT DEFAULT 0 NOT NULL,
FTRIGGERTIMETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTRIGGERPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FTRIGGERPERIODUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FRETRYTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFAILOVERTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FFLOWLIMIT INT DEFAULT 0 NOT NULL,
FMATCHSCRIPT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMATCHSCRIPT_TAG NCLOB,
FTARGETAPPNAME NVARCHAR(40) DEFAULT ' ' NOT NULL,
FEVENTDATASOURCEID BIGINT DEFAULT 0 NOT NULL,
FMQTOPICID BIGINT DEFAULT 0 NOT NULL,
FEVENTTYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_KEM_SUBCOND') 
 CREATE TABLE T_KEM_SUBCOND (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLEFTBRACKET CHAR(5) DEFAULT ' ' NOT NULL,
FPARANAME VARCHAR(250) DEFAULT ' ' NOT NULL,
FPARATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARADESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPARAVALUE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRIGHTBRACKET CHAR(5) DEFAULT ' ' NOT NULL,
FANDOR CHAR(1) DEFAULT ' ' NOT NULL
);

